%define upstream_name    Probe-Perl
%define upstream_version 0.02

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Information about the currently running perl
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Probe/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Config)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(File::Spec)
BuildRequires: perl(Test)
BuildRequires: perl(strict)
BuildArch:  noarch

%description
This module provides methods for obtaining information about the currently
running perl interpreter. It originally began life as code in the
'Module::Build' project, but has been externalized here for general use.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%makeinstall_std

%files
%doc Changes INSTALL LICENSE META.yml MYMETA.yml README SIGNATURE
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.20.0-2.mga4
+ Revision: 525994
- Mageia 4 Mass Rebuild

* Sun Jun 02 2013 kharec <kharec> 0.20.0-1.mga4
+ Revision: 435070
- update to 0.02

* Sun Jan 13 2013 umeabot <umeabot> 0.10.0-2.mga3
+ Revision: 372130
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 19 2011 jquelin <jquelin> 0.10.0-1.mga1
+ Revision: 24375
- fix specs
- imported package perl-Probe-Perl

